# Motivation

A script to automatically mark entries as read in miniflux using its api

# How to use

## Dependencies

python3-requests

## config file

	[options]
	# instance of miniflux
	url=https://example.com

	# generated token from miniflux
	token=???????????????????????????????????????????

	# age of entries that should be marked as read
	age=86400

	# categories that should be ignored (entries will not be marked as read)
	ignore=audio & video

## systemd service

The systemd service file can be located in .config/systemd/user

	[Unit]
	Description=mark certain entries as read in miniflux

	[Service]
	Type=simple
	ExecStart=/usr/bin/env python3 ./mark_as_read.py --config ./mark_as_read.ini

## systemd timer

The systemd timer file can be located in .config/systemd/user

	[Unit]
	Description=mark certain entries as read in miniflux

	[Timer]
	OnCalendar=daily

	[Install]
	WantedBy=timers.target
